import { StoryObj, Meta } from '@storybook/react';
import Icon from '../icon';

export default {
  title: 'Components/Icon',
  component: Icon,
  decorators: [(Story) => <div className="p-5">{Story()}</div>],
  argTypes: {
    name: {
      control: 'select',
      options: ['ArrowBack', 'DeleteOutline', 'KeyboardArrowLeft', 'Settings'],
    },
    size: {
      control: 'radio',
      options: [16, 20, 24, 28, 32, 40],
    },
  },
} as Meta;
type Story = StoryObj<typeof Icon>;

const BaseIcon: Story = {
  args: {
    name: 'ArrowBack',
    size: 24,
  },
};

export const Default = { ...BaseIcon };
