import React from 'react';

export interface TooltipProps {
  x: number;
  y: number;
  content: React.ReactNode;
}

const Tooltip: React.FC<TooltipProps> = ({ x, y, content }) => {
  return (
    <div className="absolute font-sans bg-light border border-secondary text-secondary p-2" style={{ left: `${x}px`, top: `${y}px` }}>
      {content}
    </div>
  );
};

export default Tooltip;
