import React from 'react';
import { Meta } from '@storybook/react';
import Tooltip, { TooltipProps } from '.';

export default {
  title: 'Components/Tooltip',
  component: Tooltip,
} as Meta<typeof Tooltip>;

export const BarplotTooltip = (args: TooltipProps) => {
  const tooltipContent = (
    <div>
      <span>{'VVD'}</span>: <span>{30}</span>
    </div>
  );

  return (
    <div style={{ position: 'relative' }}>
      <Tooltip {...args} content={tooltipContent} />
    </div>
  );
};

BarplotTooltip.args = {
  x: 100,
  y: 100,
  content: 'This is a tooltip',
};
